#include <algorithm>
#include <iostream>
#include <cstdio>
#include <vector>
#include <set>
#include <map>
#include <queue>
#include <sstream>
using namespace std;

#define SIZE(s) int((s).size())
#define REP(i,n) for (int i=0; i<(n); i++)

map<string,int> A;
int N;
string line;

int curbal[2000];
int type[2000];

int main() {
  while (1) {
    vector<string> vstup;
    while (1) {
      getline(cin,line);
      if (line=="goodbye") break;
      if (line=="end") break;
      vstup.push_back(line);
    }
    if (line=="goodbye") break;
    getline(cin,line);
    int N = 100;
    REP(i,100) type[i]=-1, curbal[i]=0;

    vector<string> vystup;

    REP(i,SIZE(vstup)) {
      stringstream ss(vstup[i]);
      vector<string> tokens;
      while (ss >> line) tokens.push_back(line);
      if (tokens[0][0]=='c') {
        if (tokens[1]=="already") {
          vystup.push_back("create 0000/0");
        } else {
          sprintf(buf,"create %04d/0",N);
          vystup.push_back(buf);
          type[N]=0;
          curbal[N]=0;
        }
      }
      if (tokens[0][0]=='d') {
        if (SIZE(tokens)==5 && tokens[4]=="account") {
          vystup.push_back("deposit 9999/9 "+tokens[1]);
        } else {
          int x,y;
          sscanf(tokens[1].c_str(),"%d.%d",&x,&y);
          int sum=100*x+y;
          int kde=-1; bool mam=false;
          REP(i,N) if (i>0) if (type[i]==0) {
            if (!mam) { mam=true; kde=i; }
            if (curbal[i] > curbal[kde]) kde=i;
          }
          if (!mam) REP(i,N) if (i>0) if (type[i]==-1) { mam=true; kde=i; type[i]=0; curbal[i]=0; break; }
          assert(mam);
          curbal[kde] += sum;
          sprintf(buf,"deposit %04d/0  
        }
      }
      if (tokens[0][0]=='w') {
        if (SIZE(tokens)==5 && tokens[4]=="account") {
          vystup.push_back("withdraw 9999/9 "+tokens[1]);
        } else {
          int x,y;
          sscanf(tokens[1].c_str(),"%d.%d",&x,&y);
          int sum=100*x+y;
          int kde=-1; bool mam=false;
          REP(i,N) if (type[i]==0) {
            if (!mam) { mam=true; kde=i; }
            if (curbal[i] > curbal[kde]) kde=i;
          }
          if (!mam) REP(i,N) if (type[i]==-1) { mam=true; kde=i; type[i]=0; curbal[i]=0; break; }
          assert(mam);
          curbal[kde] += sum;
        }
      }
    }
    sscanf(line.c_str(),"%d",&N);
    if (N==0) break;
    REP(i,N) { string S; int x,y; getline(cin,S); sscanf(S.c_str(),"%s %d.%d",buf,&x,&y); A[buf]=100*x+y; }
    while (1) {
      getline(cin,line);
      if (line=="end") break;
      if (line[0]=='c') {
        sscanf(line.c_str(),"%s %s",buf,b2);
        string cmd(buf), acc(b2);
        if (A.count(acc)) {
          cout << "create: already exists" << endl;
        } else {
          A[acc]=0;
          cout << "create: ok" << endl;
        }
      }
      if (line[0]=='d') {
        int x,y;
        sscanf(line.c_str(),"%s %s %d.%d",buf,b2,&x,&y); 
        string acc(b2);
        if (A.count(acc)) {
          A[acc] += 100*x+y;
          printf("deposit %d.%02d: ok\n",x,y);
        } else {
          printf("deposit %d.%02d: no such account\n",x,y);
        }
      }
      if (line[0]=='w') {
        int x,y;
        sscanf(line.c_str(),"%s %s %d.%d",buf,b2,&x,&y); 
        string acc(b2);
        if (A.count(acc)) {
          if (A[acc] < 100*x+y) {
            printf("withdraw %d.%02d: insufficient funds\n",x,y);
          } else {
            A[acc] -= 100*x+y;
            printf("withdraw %d.%02d: ok\n",x,y);
          }
        } else {
          printf("withdraw %d.%02d: no such account\n",x,y);
        }
      }
      if (line[0]=='t') {
        int x,y;
        sscanf(line.c_str(),"%s %s %s %d.%d",buf,b2,b3,&x,&y); 
        string acc1(b2), acc2(b3);
        if (A.count(acc1) && A.count(acc2)) {
          if (acc1 == acc2) {
            printf("transfer %d.%02d: same account\n",x,y);
          } else {
            if (A[acc1] < 100*x+y) {
              printf("transfer %d.%02d: insufficient funds\n",x,y);
            } else {
              A[acc1] -= 100*x+y;
              A[acc2] += 100*x+y;
              if (acc1[ SIZE(acc1)-1 ] == acc2[ SIZE(acc2)-1 ]) {
                printf("transfer %d.%02d: ok\n",x,y);
              } else {
                printf("transfer %d.%02d: interbank\n",x,y);
              }
            }
          }
        } else {
          printf("transfer %d.%02d: no such account\n",x,y);
        }
      }
    }
    cout << "end" << endl << endl;
    getline(cin,line);
  }
  cout << "0" << endl;
}
