#include <algorithm>
#include <iostream>
#include <cstdio>
#include <vector>
#include <set>
#include <map>
#include <queue>
#include <cstring>
using namespace std;

#define SIZE(s) int((s).size())
#define REP(i,n) for (int i=0; i<(n); i++)

long long X[100];
int roll[100];

int payoff[12][12];

void process(int x) {
  REP(i,11) payoff[x][i] = 0;

  int mam[6];
  for (int i=0; i<5; i++) mam[i] = roll[5*x+1+i];
  sort(mam, mam+5);
  
  REP(co,6) {
    payoff[x][co] = 0;
    REP(i,5) if (mam[i]==co+1) payoff[x][co] += co+1;
  }
  bool c12345 = true;
  REP(i,5) if (mam[i]!=i+1) c12345 = false;
  bool c23456 = true;
  REP(i,5) if (mam[i]!=i+2) c23456 = false;
  if (c12345 || c23456) payoff[x][6] = 30;

  int sum = 0;
  REP(i,5) sum += mam[i];

  if (mam[0]==mam[1] && mam[3]==mam[4] && mam[0]!=mam[4] && mam[2]==mam[1]) payoff[x][7] = sum;
  if (mam[0]==mam[1] && mam[3]==mam[4] && mam[0]!=mam[4] && mam[2]==mam[3]) payoff[x][7] = sum;

  if (mam[0]==mam[1] && mam[1]==mam[2] && mam[2]==mam[3] && mam[3]!=mam[4]) payoff[x][8] = sum;
  if (mam[0]!=mam[1] && mam[1]==mam[2] && mam[2]==mam[3] && mam[3]==mam[4]) payoff[x][8] = sum;
  
  if (mam[0]==mam[1] && mam[1]==mam[2] && mam[2]==mam[3] && mam[3]==mam[4]) payoff[x][9] = sum;

  payoff[x][10] = sum;

  cout << "sequence: "; REP(i,5) cout << mam[i] << " "; cout << endl;
  cout << "payoffs: "; REP(i,11) cout << payoff[x][i] << " "; cout << endl; 
}

int best[12][2100];

int main() {
  while (1) {
    long long A, C, X0;
    scanf("%lld %lld %lld ",&A,&C,&X0);
    if (!A) break;
    X[0] = X0;
    for (int i=1; i<=55; i++) X[i] = (A * X[i-1] + C) & ((1LL<<32)-1);
    for (int i=1; i<=55; i++) roll[i] = 1 + ((X[i] >> 16) % 6);
    printf("roll:\n");
    for (int i=0; i<11; i++) { for (int j=0; j<5; j++) printf("%d ",roll[5*i+j+1]); printf("\n"); }

    for (int i=0; i<11; i++) process(i);

    memset(best,0,sizeof(best));
    for (int mam=1; mam<=11; mam++)
      for (int druhe=0; druhe<(1<<11); druhe++) if (__builtin_popcount(druhe)==mam) {
        REP(i,11) if (druhe & 1<<i) best[mam][druhe] = max( best[mam][druhe], payoff[mam-1][i] + best[mam-1][druhe ^ (1<<i)] );
      }
    printf("%d\n",best[11][(1<<11)-1]);
  }
}
