#include <algorithm>
#include <iostream>
#include <cstdio>
#include <vector>
#include <set>
#include <map>
#include <queue>
using namespace std;

#define SIZE(s) int((s).size())
#define REP(i,n) for (int i=0; i<(n); i++)

int N, H;
int A[210000];
int sum[210000];
int bestcover[210000];

int main() {
  while (1) {
    scanf("%d",&N);
    if (!N) break;
    REP(i,N) scanf("%d",&A[i]);
    int H = N/2;
    sum[0]=0;
    REP(i,H) sum[0] += A[i];
    for (int i=1; i<N; i++) {
      sum[i] = sum[i-1];
      sum[i] -= A[i-1];
      sum[i] += A[(i+H-1)%N];
    }
    multiset<int> sums;
    for (int i=0; i<H; i++) {
      sums.insert( sum[(N-i)%N] );
    }
    for (int i=0; i<N; i++) {
      bestcover[i] = *sums.begin();
      sums.erase( sums.find( sum[(N-H+i+1)%N ] ));
      sums.insert( sum[ (i+1)%N ] );
    }
    // for (int i=0; i<N; i++) printf("%d ",bestcover[i]); printf("\n");
    int best = 987654321;
    for (int i=0; i<N; i++) {
      int toto = sum[(i+1)%N] + sum[(i+N-H)%N] + bestcover[i];
      best = min(best,toto);
    }
    printf("%d\n",best);
  }
}
